查询平台仓发货单详情
POST
/basicOpen/multiplatform/query/shippingDetail接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/query/shippingDetail | HTTPS | POST | 1 |
请求参数
shippingListCodestring必填请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/query/shippingDetail?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"shippingListCode": "FH202604070001"
}'
返回结果
JSON Object
codenumber必填messagestring必填dataobject必填隐藏子属性
idnumberplatformCodestringshippingListCodestringshippingListStatusnumbershippingListStatusDescstringpickingStatusnumberpickingStatusDescstringwarehouseIdnumberlogisticsProviderIdnumberlogisticsChannelIdnumberarrivalTimestringheadFeeTypenumberheadFeeTypeNamestringlogisticsCodestringappointmentPickupTimestringcreateUserIdnumbercreateUserNamestringcreateTimestringdeliveryUserIdnumberdeliveryUserNamestringdeliveryTimestringsailTimestringexpectedArrivalTimestringactualDueTimestringorderLogisticsStatusstringactualDeliveryTimestringshippingListFilesarray<object>隐藏子属性
shippingListFileUrlstringshippingListFileKeystringshippingListFileNamestringshippingListRemarkstringhasAutoDeductionbooleanhasHandCheckSpacebooleanprincipalsarray<object>隐藏子属性
principalUserIdnumberprincipalUserNamestringgoodsExtDetailsarray<object>隐藏子属性
idnumbershippingListIdnumbergoodsUrlstringplatformCodestringplatformNamestringcountryCodestringcountryNamestringstoreIdnumberstoreNamestringcargoIdnumbercargoCodestringcargoGoodsIdnumbermskustringmskuIdstringarticleNumberingstringgoodIdstringproductIdnumberproductNamestringproductTypenumberskustringspecIdstringspecInfoobject隐藏子属性
productIdstringcgProductNetWeightnumberboxGaugeListarray<object>隐藏子属性
specIdstringspecTitlestringisDefaultstringquantityInCasenumberboxLengthnumberboxWidthnumberboxHeightnumberpackageLengthnumberpackageWidthnumberpackageHeightnumbercgProductGrossWeightnumberboxWeightnumberquantityInCasenumberboxNumnumberboxLengthstringboxWidthstringboxHeightstringpackageLengthstringpackageWidthstringpackageHeightstringcbmstringcgProductNetWeightstringcgProductGrossWeightstringboxWeightstringboxNetWeightstringboxGrossWeightstringvolumeWeightstringusableNumnumberqcNumnumberapplyNumnumbershipmentsNumnumbertotalNwstringtotalGwstringtaxAmountstringtaxCurrencystringremarkstringhasPairbooleanlogisticsCodestringappointmentPickupTimestringstockDeductnumbercgPricenumberwhbCodeInfoarray<object>隐藏子属性
whbCodestringwhbNamestringstockNumnumberproductIdnumberwhbNumnumbergoodsTotalDataobject隐藏子属性
mskuCountnumbertotalNwstringtotalGwstringapplyNumnumbertaxAmountstringshipmentsNumnumberaccessoriesDetailsarray<object>隐藏子属性
idnumbershippingListIdnumberauxNamestringauxSkustringauxProductIdnumberaccessoriesPricestringrelationTypenumberrelationTypeNamestringrelationProductMskustringauxHeadFeeTypenumberauxHeadFeeTypeNamestringauxNumstringaccessoriesTotalPricestringcargoGoodsIdnumbercargoCodestringproductNumnumbercompanyIdnumberpriceVersionnumberlogisticsDetailsarray<object>隐藏子属性
idnumbershippingListIdnumberlogisticsNumberstringtrackingNumberstringtransportationCoststringotherCoststringtransportationCurrencystringotherCurrencystringtransportationIconstringotherIconstringotherCostRemarkstringexpectedTransportationCoststringexpectedTransportationCurrencystringexpectedTransportationIconstringexpectedOtherCoststringexpectedOtherCurrencystringexpectedOtherIconstringexpectedOtherCostRemarkstringfirstLetListResponseListarray<object>隐藏子属性
deliveryTimestringshippingListCodestringplatformCodestringplatformNamestringcountryCodestringcountrystringcargoCodestringgoodExtIdnumbermskustringmskuIdstringgtinstringskustringproductTypenumbergoodNamestringgoodsUrlstringdeliveryNumnumberexpectedArrivalTimestringlogisticsNumberarray<any>valueSourceStrstringvalueSourcenumbertransportationCoststringtaxCoststringotherCoststringtotalCoststringperTotalCoststringtotalCostCurrencystringlogisticsWaystringheadFeeTypeStrstringvolumeFormulaParamnumberperBillWeightnumbercompanyIdnumberstoreIdnumberstoreNamestringpurchasePricestringpricestringauxStockPricestringperTaxstringheadStockPricestringperFirstletCoststringperFirstletExpectedstringperFirstletActualstringwfsStockPricestring返回成功示例
{
"code": 200,
"message": "success",
"data": {
"id": 808,
"platformCode": "10011",
"shippingListCode": "SP202603110040028",
"shippingListStatus": 2,
"shippingListStatusDesc": "已发货",
"pickingStatus": -1,
"pickingStatusDesc": "",
"warehouseId": 39,
"logisticsProviderId": 4,
"logisticsChannelId": 19,
"arrivalTime": null,
"headFeeType": 1,
"headFeeTypeName": "按计费重",
"logisticsCode": "",
"appointmentPickupTime": null,
"createUserId": 10329149,
"createUserName": "陈文婷",
"createTime": "2026-03-11",
"deliveryUserId": 10329149,
"deliveryUserName": "陈文婷",
"deliveryTime": "2026-03-11",
"sailTime": null,
"expectedArrivalTime": null,
"actualDueTime": null,
"orderLogisticsStatus": "",
"actualDeliveryTime": null,
"shippingListFiles": [],
"shippingListRemark": "",
"hasAutoDeduction": false,
"hasHandCheckSpace": false,
"principals": null,
"goodsTotalData": {
"mskuCount": 2,
"totalNw": "29.00",
"totalGw": "240.30",
"applyNum": 29,
"taxAmount": "2.00",
"shipmentsNum": 29
},
"goodsExtDetails": [],
"accessoriesDetails": null,
"logisticsDetails": [],
"firstLetListResponseList": []
}
}